# class RDoc::SingleClass

A singleton class

### Public Instance Methods

ancestors() click to toggle source

Adds the superclass to the included modules.

    # File lib/rdoc/single_class.rb, line 9
    def ancestors
      superclass ? super + [superclass] : super
    end

definition() click to toggle source

The definition of this singleton class, `class << MyClassName`

    # File lib/rdoc/single_class.rb, line 16
    def definition
      "class << #{full_name}"
    end